Class | Nagoro::Pipe::RenderPartial
In: | lib/ramaze/view/nagoro/render_partial.rb
Parent: | Base

Pipe that transforms <render /> tags.

the src parameter in the render tag will be used as first parameter to render_partial, all other paramters are passed on as `variables`.

Example calling render_partial(‘hello’):

      <render src="hello" />

Example calling render_partial(‘hello’, ‘tail’ => ‘foo’):

      <render src="hello" tail="foo" />

### Methods

tag_end tag_start

### Included Modules

Innate::Helper::Render

### Public Instance methods

tag_end(tag)
tag_start(tag, attrs)

[Validate]